package com.yiidian.springboot.demo.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 一点教程网：http://www.yiidian.com
 */
@RestController
public class HelloController {

    @Value("${person.name}")
    private String personName;

    @Autowired
    private Person person;

    @RequestMapping("/hello")
    public String hello(String name) {
        System.out.println(person);
        return "hello world, " +name;
    }
}
