package com.yiidian.springboot.demo.controller;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

@Data
@Component
@ConfigurationProperties(prefix = "person") //prefix: 代表前缀
public class Person {
    private String name; // 读取person.name
    private Integer age; // 读取person.age
    private String[] hobby; //读取所有兴趣爱好
    private List<Friend> friends; //读取两位好朋友的信息
}
